[Android] rename TESTED_HASH to VLC_TESTED_HASH

Martin Finkel git at videolan.org
Tue Jun 7 10:46:42 UTC 2022


vlc-android | branch: master | Martin Finkel <me at martinfinkel.com> | Wed May 25 14:44:43 2022 +0700| [1cefdf151f455d22e187529ac528a2373fda80c1] | committer: Martin Finkel

rename TESTED_HASH to VLC_TESTED_HASH

> https://code.videolan.org/videolan/vlc-android/commit/1cefdf151f455d22e187529ac528a2373fda80c1
---

 buildsystem/compile.sh | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/buildsystem/compile.sh b/buildsystem/compile.sh
index a1f6561fb..13c2b534f 100755
--- a/buildsystem/compile.sh
+++ b/buildsystem/compile.sh
@@ -279,14 +279,14 @@ fi
 # Fetch VLC source #
 ####################
 
-TESTED_HASH=902842750b287847ba7b675d10176dd48de2bf35
+VLC_TESTED_HASH=902842750b287847ba7b675d10176dd48de2bf35
 VLC_REPOSITORY=https://code.videolan.org/videolan/vlc.git
 if [ ! -d "vlc" ]; then
     diagnostic "VLC sources: not found, cloning"
     git clone "${VLC_REPOSITORY}" vlc -b 3.0.x --single-branch || fail "VLC sources: git clone failed"
     cd vlc
-    diagnostic "VLC sources: resetting to the TESTED_HASH commit (${TESTED_HASH})"
-    git reset --hard ${TESTED_HASH} || fail "VLC sources: TESTED_HASH ${TESTED_HASH} not found"
+    diagnostic "VLC sources: resetting to the VLC_TESTED_HASH commit (${VLC_TESTED_HASH})"
+    git reset --hard ${VLC_TESTED_HASH} || fail "VLC sources: VLC_TESTED_HASH ${VLC_TESTED_HASH} not found"
     diagnostic "VLC sources: applying custom patches"
     # Keep Message-Id inside commits description to track them afterwards
     git am --message-id ../libvlc/patches/vlc3/*.patch || fail "VLC sources: cannot apply custom patches"
@@ -298,18 +298,18 @@ if [ "$BYPASS_VLC_SRC_CHECKS" = 1 ]; then
     diagnostic "VLC sources: Bypassing checks (required by option)"
 elif [ $RESET -eq 1 ]; then
     cd vlc
-    git reset --hard ${TESTED_HASH} || fail "VLC sources: TESTED_HASH ${TESTED_HASH} not found"
+    git reset --hard ${VLC_TESTED_HASH} || fail "VLC sources: VLC_TESTED_HASH ${VLC_TESTED_HASH} not found"
     for patch_file in ../libvlc/patches/vlc3/*.patch; do
         git am --message-id $patch_file
         check_patch_is_applied "$patch_file"
     done
     cd ..
 else
-    diagnostic "VLC sources: Checking TESTED_HASH and patches presence"
+    diagnostic "VLC sources: Checking VLC_TESTED_HASH and patches presence"
     diagnostic "NOTE: checks can be bypass by adding '-b' option to this script."
     cd vlc
-    git cat-file -e ${TESTED_HASH} 2> /dev/null || \
-        fail "Error: Your vlc checkout does not contain the latest tested commit: ${TESTED_HASH}"
+    git cat-file -e ${VLC_TESTED_HASH} 2> /dev/null || \
+        fail "Error: Your vlc checkout does not contain the latest tested commit: ${VLC_TESTED_HASH}"
     for patch_file in ../libvlc/patches/vlc3/*.patch; do
         check_patch_is_applied "$patch_file"
     done



More information about the Android mailing list